# vikunja

![Version: 0.1.5](https://img.shields.io/badge/Version-0.1.5-informational?style=flat-square) ![Type: application](https://img.shields.io/badge/Type-application-informational?style=flat-square) ![AppVersion: 0.23.0](https://img.shields.io/badge/AppVersion-0.23.0-informational?style=flat-square)

The to-do app to organize your life

**Homepage:** <https://vikunja.io/>

## Source Code

* <https://kolaente.dev/vikunja/>
* <https://gitlab.com/oecis/charts/-/tree/main/charts/vikunja>

## Requirements

| Repository | Name | Version |
|------------|------|---------|
| https://charts.bitnami.com/bitnami | postgresql | 12.x.x |
| https://charts.bitnami.com/bitnami | redis | 17.x.x |

## Values

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| affinity | object | `{}` |  |
| autoscaling.enabled | bool | `false` |  |
| autoscaling.maxReplicas | int | `100` |  |
| autoscaling.minReplicas | int | `1` |  |
| autoscaling.targetCPUUtilizationPercentage | int | `80` |  |
| config.cache.enabled | bool | `false` |  |
| config.cache.maxElementSize | int | `1000` |  |
| config.cache.redis.enabled | bool | `false` |  |
| config.cache.redis.host | string | `""` |  |
| config.cache.type | string | `"redis"` |  |
| config.db.database | string | `""` |  |
| config.db.existingSecret | string | `""` |  |
| config.db.host | string | `""` |  |
| config.db.password | string | `""` |  |
| config.db.secretKeys.dbPasswordKey | string | `"user-password"` |  |
| config.db.type | string | `"postgres"` |  |
| config.db.user | string | `""` |  |
| config.jwt.existingSecret | string | `""` |  |
| config.jwt.secretKeys.jwtSecretKey | string | `"jwt-secret"` |  |
| config.linkSharing | bool | `true` |  |
| config.log.level | string | `"ERROR"` |  |
| config.publicUrl | string | `"https://tasks.local"` |  |
| config.registration | bool | `true` |  |
| config.taskAttachments | bool | `true` |  |
| extraEnv | list | `[]` |  |
| extraVolumeMounts | list | `[]` |  |
| extraVolumes | list | `[]` |  |
| fullnameOverride | string | `""` |  |
| image.pullPolicy | string | `"IfNotPresent"` |  |
| image.repository | string | `"vikunja/vikunja"` |  |
| image.tag | string | `""` |  |
| imagePullSecrets | list | `[]` |  |
| ingress.annotations | object | `{}` |  |
| ingress.className | string | `""` |  |
| ingress.enabled | bool | `false` |  |
| ingress.hosts[0].host | string | `"tasks.local"` |  |
| ingress.hosts[0].paths[0].path | string | `"/"` |  |
| ingress.hosts[0].paths[0].pathType | string | `"ImplementationSpecific"` |  |
| ingress.tls | list | `[]` |  |
| initContainers | list | `[]` |  |
| nameOverride | string | `""` |  |
| nodeSelector | object | `{}` |  |
| podAnnotations | object | `{}` |  |
| podSecurityContext | object | `{}` |  |
| postgresql.enabled | bool | `true` |  |
| redis.auth.enabled | bool | `false` |  |
| redis.enabled | bool | `true` |  |
| replicaCount | int | `1` |  |
| resources | object | `{}` |  |
| securityContext | object | `{}` |  |
| service.port | int | `3456` |  |
| service.type | string | `"ClusterIP"` |  |
| serviceAccount.annotations | object | `{}` |  |
| serviceAccount.create | bool | `true` |  |
| serviceAccount.name | string | `""` |  |
| tolerations | list | `[]` |  |

----------------------------------------------
Autogenerated from chart metadata using [helm-docs v1.11.2](https://github.com/norwoodj/helm-docs/releases/v1.11.2)
